Bug 219114 - Review Request: flac123 - Command-line program for playing FLAC audio files
Review Request: flac123 - Command-line program for playing FLAC audio files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-10 22:16 EST by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-28 13:00:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2006-12-10 22:16:42 EST
Spec URL: http://folk.ntnu.no/sindrb/packages/flac123.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/flac123-0.0.9-1.src.rpm

Description: 

flac123 is a command-line program for playing FLAC audio files

FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless
Comment 1 Parag AN(पराग) 2006-12-11 00:15:09 EST
packaging is ok.
rpmlint is silent.
Is grip is also in extras?
where can i find files that i can play with flac123?
Comment 2 Till Maas 2006-12-11 02:28:47 EST
(In reply to comment #1)
> where can i find files that i can play with flac123?

You can create them with flac (in package flac) from .wav files.
Comment 3 Parag AN(पराग) 2006-12-26 00:09:59 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files md5sum. No upstream is available.
1614e1d1fe5b427ffd5988ea766abcf4  flac123-0.0.9.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel or any subpackages exists
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
APPROVED.
Comment 4 Parag AN(पराग) 2006-12-27 00:04:17 EST
Don't forget to CLOSE this review after you finished building package in CVS.

Note You need to log in before you can comment on or make changes to this bug.